<div class="modal">
    <button type="button" class="close" (click)="closeModal()">
        <span aria-hidden="true">&times;</span>
    </button>
    <div class="all-in-one-table">
        <elastic-page-header [height]="'100px'" background="url(assets/img/demo/headers/pattern-3.png)"
            [reverse]="true">
        </elastic-page-header>
    </div>
    <h1 *ngIf="modalAdminSystems == 'edit'">Editar</h1>
    <h1 *ngIf="modalAdminSystems == 'changePassword'">Cambiar contraseña</h1>
</div>
<div class="container">
    <mat-card>
        <form (ngSubmit)="onSubmit()" [formGroup]="formGroup" class="form-modal" fxLayout="column" fxFlex="100%"
            *ngIf="modalAdminSystems == 'edit'">
            <div>
                <mat-form-field fxFlex style="width: 48%; margin-right: 4%;">
                    <mat-label>Nombre</mat-label>
                    <input matInput placeholder="Ingrese un nombre" formControlName="name" type="text">
                </mat-form-field>
                <mat-form-field fxFlex style="width: 48%">
                    <mat-label>Apellido</mat-label>
                    <input matInput placeholder="Ingrese escriba su apellido" formControlName="firstLastname"
                        type="text">
                </mat-form-field>
            </div>
            <mat-form-field fxFlex>
                <mat-label>Correo</mat-label>
                <input matInput placeholder="Ingrese un email" formControlName="email" type="text">
            </mat-form-field>
            <mat-form-field fxFlex>
                <mat-label>Cédula</mat-label>
                <input matInput placeholder="Ingrese su número de de identidad" formControlName="idNumber" type="text">
            </mat-form-field>
            <div>
                <mat-form-field appearance="fill" style="width: 48%; margin-right: 4%;">
                    <mat-label>Rol de usuario</mat-label>
                    <mat-select formControlName="roles">
                        <mat-option *ngFor="let rol of rols" [value]="rol.id"> {{rol.name}}
                        </mat-option>
                    </mat-select>
                    <mat-hint *ngIf="formGroup.controls.roles.touched || btnOnSubmit">
                        <div *ngIf="formGroup.controls.roles.errors" style="margin-top: -15px;">
                            <p *ngIf="formGroup.controls.roles.errors.required" style="color: red">El campo es requerido</p>
                        </div>
                    </mat-hint>
                </mat-form-field>
                <mat-form-field appearance="fill" style="width: 48%;">
                    <mat-label>Estado de usuario</mat-label>
                    <mat-select formControlName="accountState">
                        <mat-option value="active">Activo</mat-option>
                        <mat-option value="inactive">Inactivo</mat-option>
                    </mat-select>
                    <mat-hint *ngIf="formGroup.controls.accountState.touched || btnOnSubmit">
                        <div *ngIf="formGroup.controls.accountState.errors" style="margin-top: -15px;">
                            <p *ngIf="formGroup.controls.accountState.errors.required" style="color: red">El campo es requerido</p>
                        </div>
                    </mat-hint>
                </mat-form-field>
            </div>

            <div class="example-button-row">
                <button mat-raised-button color="primary" (click)="closeModal()">Cancel</button>
                <button class="marginButton" mat-raised-button color="primary" type="submit">Editar</button>
            </div>
        </form>
        <form (ngSubmit)="onSubmit()" [formGroup]="formGroup" class="form-modal" fxLayout="column" fxFlex="100%"
            *ngIf="modalAdminSystems == 'changePassword'">
            <div>
                <mat-form-field fxFlex style="width: 48%; margin-right: 4%;">
                    <mat-label>Nombre</mat-label>
                    <input matInput placeholder="Ingrese un nombre" formControlName="name" type="text">
                </mat-form-field>
                <mat-form-field fxFlex style="width: 48%">
                    <mat-label>Apellido</mat-label>
                    <input matInput placeholder="Ingrese escriba su apellido" formControlName="firstLastname"
                        type="text">
                </mat-form-field>
            </div>
            <mat-form-field fxFlex>
                <mat-label>Correo</mat-label>
                <input matInput placeholder="Ingrese un email" formControlName="email" type="text">
            </mat-form-field>
            <mat-form-field fxFlex>
                <mat-label>Cédula</mat-label>
                <input matInput placeholder="Ingrese su número de de identidad" formControlName="idNumber" type="text">
            </mat-form-field>
            <div>
                <mat-form-field fxFlex appearance="fill" style="width: 48%; margin-right: 4%;">
                    <mat-label>Contraseña</mat-label>
                    <input matInput placeholder="Ingrese su contraseña" formControlName="password" type="password"
                        (input)="onPasswordInput()">
                    <mat-hint *ngIf="formGroup.controls.password.touched || btnOnSubmit">
                        <div *ngIf="formGroup.controls.password.errors" style="margin-top: -15px;">
                            <p *ngIf="formGroup.controls.password.errors.required" style="color: red">El campo es
                                requerido</p>
                        </div>
                        <div *ngIf="formGroup.controls.password.errors" style="margin-top: -15px;">
                            <p *ngIf="formGroup.controls.password.errors.minlength" style="color: red">La contraseña
                                debe tener más de 6 caracteres</p>
                        </div>
                    </mat-hint>
                </mat-form-field>
                <mat-form-field fxFlex appearance="fill" style="width: 48%">
                    <mat-label>Repita la contraseña</mat-label>
                    <input matInput placeholder="Repita contraseña" formControlName="repeatPassword" type="password"
                        (input)="onPasswordInput()">
                        <mat-hint *ngIf="formGroup.controls.repeatPassword.touched || btnOnSubmit">
                            <div *ngIf="formGroup.controls.repeatPassword.errors" style="margin-top: -15px;">
                                <p *ngIf="formGroup.controls.repeatPassword.errors[0] && formGroup.controls.repeatPassword.errors[0].passwordMismatch" style="color: red">Las contraseñas no coinciden</p>
                            </div>
                        </mat-hint>
                </mat-form-field>
            </div>

            <div class="example-button-row">
                <button mat-raised-button color="primary" (click)="closeModal()">Cancel</button>
                <button *ngIf="modalAdminSystems == 'edit'" class="marginButton" mat-raised-button color="primary"
                    type="submit">Editar</button>
                <button *ngIf="modalAdminSystems == 'changePassword'" class="marginButton" mat-raised-button
                    color="primary" type="submit">Cambiar</button>
            </div>
        </form>
    </mat-card>
</div>